List supported networks (live, optional paused)
GET
/v1/wallet/networks
const url = 'https://api.parasta.io/v1/wallet/networks?include=paused';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.parasta.io/v1/wallet/networks?include=paused' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” include
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
networks
Array<object>
object
networkId
required
string
name
string
family
required
Virtual-machine family. Drives client-side address encoding
(0x hex for EVM, base58 for Solana) and signing scheme
(secp256k1+keccak vs ed25519).
string
caip2
required
CAIP-2 chain identifier — the canonical chain reference.
EVM: eip155:{chainId} (e.g. eip155:1, eip155:137).
Solana: solana:{genesisHashPrefix} (e.g. solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp).
Clients that need an integer EVM chainId can parse it from the
eip155: namespace; non-EVM families do not expose one.
string
role
string
rpcUrl
string
explorerUrl
string
nativeCurrency
object
symbol
string
decimals
integer
status
string
Examples
Example evmAndSolana
Ethereum mainnet (EVM, primary) and Solana mainnet (non-EVM, secondary)
{ "networks": [ { "networkId": "ethereum-mainnet", "name": "Ethereum Mainnet", "family": "evm", "caip2": "eip155:1", "role": "primary", "rpcUrl": "https://eth-mainnet.parasta.io/v1", "explorerUrl": "https://etherscan.io", "nativeCurrency": { "symbol": "ETH", "decimals": 18 }, "status": "live" }, { "networkId": "solana-mainnet", "name": "Solana Mainnet", "family": "solana", "caip2": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp", "role": "secondary", "rpcUrl": "https://solana-mainnet.parasta.io", "explorerUrl": "https://explorer.solana.com", "nativeCurrency": { "symbol": "SOL", "decimals": 9 }, "status": "live" } ]}